<template>
  <v-dialog v-model="dialogStatus" persistent max-width="600px">
    <v-card>
      <v-card-title>
        <span class="text-h5">Nhắc nhở</span>
      </v-card-title>
      <v-card-text>
        <v-container>
          <v-row>
            <v-col cols="12">
              <label v-if="userStatus.isActive">Bạn có muốn khóa thành viên {{ userStatus.name }} không?</label>
              <label v-else>Bạn có muốn mở khóa thành viên {{ userStatus.name }} không?</label>
            </v-col>
          </v-row>
        </v-container>
      </v-card-text>
      <v-card-actions>
        <v-spacer></v-spacer>
        <v-btn color="blue darken-1" text @click="onClose"> Hủy </v-btn>
        <v-btn color="blue darken-1" text @click="onUpdateStatus"> OK </v-btn>
      </v-card-actions>
    </v-card>
  </v-dialog>
</template>

<script>
import userService from "../../../services/userService";

export default {
  props: {
    userStatus: {
      type: Object,
      required: true,
      default: {},
    },
    dialogStatus: {
      type: Boolean,
      required: true,
      default: false,
    },
  },
  data() {
    return {};
  },
  methods: {
    onUpdateStatus() {
      this.$store.commit("loading", true);
      userService
        .updateStatus(this.userStatus.id, {
          isActive: Number(!this.userStatus.isActive)
        })
        .then((response) => {
          this.$store.commit("loading", false);
          this.$store.commit("showMessageSuccess", "Cập nhật thành công");
          this.onClose();
          this.$emit("onReloadList");
        })
        .catch((error) => {
          let msgError = "";
          if (error.response.status === 422) {
            const dataErrors = error.response.data.errors;
            let errors = [];
            for (const [key, value] of Object.entries(dataErrors)) {
              errors.push(value);
            }
            msgError = errors.toString();
          } else {
            msgError = error.response.data.message;
          }
          this.$store.commit("loading", false);
          this.$store.commit("showMessageError", msgError);
        });
    },
    onClose() {
      this.$emit("onChangeDialogStatus", false);
    },
  },
  created() {},
};
</script>
